body {
    margin: 0;
    padding: 0;
    background-color: #E2E2E2;
    font-family: "Helvetica Neue", Helvetica, Arial, Sans-Serif;
}

main {
    width: 100vw;
    height: 100vh;
    display: none;
}

.logo {
    display: flex;
    align-items: center;
    flex-direction: row;
    padding: 16px 16%;
    gap: 24px;
    background-color: #003D71;
}

.logo h2 {
    color: #fff;
    font-size: 20px;
    margin: 0;
    font-weight: normal;
    /* text-transform: uppercase; */
}

.status-box {
    margin: 32px auto;
    background: #fff;
    width: 68%;
    height: calc(100% - 168px);
    box-shadow: 0 2px 4px 0 rgba(0, 0, 0, 0.2), 0 3px 10px 0 rgba(0, 0, 0, 0.19);
    padding: 16px;
}

.all-services-status {
    border: 1px solid #61BD7E;
    border-radius: 4px;
    background-color: #61bd7e5c;
    padding: 16px;
    display: flex;
    justify-content: space-between;
    color: green;
    margin-bottom: 16px;
}

.all-services-status.warning {
    border-color: #ffc107;
    color: #444;
    background-color: #ffff000f;
}

table {
    width: 100%;
    border-collapse: collapse;
}

td,
th {
    border: 1px solid #ddd;
    border-collapse: collapse;
    border-spacing: 0;
    text-align: start;
    padding: 12px;
}

th {
    color: #333;
    /* text-transform: uppercase; */
}

.circle {
    width: 14px;
    height: 14px;
    border-radius: 50%;
    display: inline-block;
}

.success {
    background-color: #61BD7E;
}

.error {
    background-color: red;
}

.page-loading {
    position: fixed;
    z-index: 999999;
    overflow: show;
    margin: auto;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    border: 3px solid #e2e2e2;
    border-radius: 50%;
    border-top: 3px solid #003d71;
    width: 25px;
    height: 25px;
    -webkit-animation: spinner 1s linear infinite;
    animation: spinner 1s linear infinite;
}

/* Transparent Overlay */

.page-loading:before {
    content: '';
    display: block;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

#page-loading {
    width: 100%;
    background-color: rgba(0, 0, 0, 0.15) !important;
    background-color: #ffffff;
    z-index: 999;
}

#page-loading:before {
    content: '';
    display: block;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 999999;
    background-color: rgba(0, 0, 0, 0.15) !important;
}

.card {
    border: 1px solid #ebccd1;
    border-radius: 4px;
    margin-bottom: 16px;
}

.card-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 12px 16px;
    background-color: #f2dede;
    color: #a94442;
}

.card-more {
    font-size: 13px;
}

.card-body {
    padding: 8px 16px 16px 16px;
    font-size: 13px;
    border-top: 1px solid #ebccd1;
}

.outage-details-box {
    margin-top: 8px;
    color: #222;
}

@media only screen and (max-width: 768px) {
    /* For mobile phones: */

    body {
        font-size: 12px;
    }

    .logo {
        padding: 16px 5%;
    }

    .status-box {
        margin: 16px auto;
        width: 90%;
        height: calc(100% - 120px);
        padding: 8px;
    }

    td,
    th {
        padding: 8px;
    }

    .circle {
        width: 11px;
        height: 11px;
    }
}


@-webkit-keyframes spinner {
    0% {
        -webkit-transform: rotate(0deg);
        -moz-transform: rotate(0deg);
        -ms-transform: rotate(0deg);
        -o-transform: rotate(0deg);
        transform: rotate(0deg);
    }

    100% {
        -webkit-transform: rotate(360deg);
        -moz-transform: rotate(360deg);
        -ms-transform: rotate(360deg);
        -o-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}

@-moz-keyframes spinner {
    0% {
        -webkit-transform: rotate(0deg);
        -moz-transform: rotate(0deg);
        -ms-transform: rotate(0deg);
        -o-transform: rotate(0deg);
        transform: rotate(0deg);
    }

    100% {
        -webkit-transform: rotate(360deg);
        -moz-transform: rotate(360deg);
        -ms-transform: rotate(360deg);
        -o-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}

@-o-keyframes spinner {
    0% {
        -webkit-transform: rotate(0deg);
        -moz-transform: rotate(0deg);
        -ms-transform: rotate(0deg);
        -o-transform: rotate(0deg);
        transform: rotate(0deg);
    }

    100% {
        -webkit-transform: rotate(360deg);
        -moz-transform: rotate(360deg);
        -ms-transform: rotate(360deg);
        -o-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}

@keyframes spinner {
    0% {
        -webkit-transform: rotate(0deg);
        -moz-transform: rotate(0deg);
        -ms-transform: rotate(0deg);
        -o-transform: rotate(0deg);
        transform: rotate(0deg);
    }

    100% {
        -webkit-transform: rotate(360deg);
        -moz-transform: rotate(360deg);
        -ms-transform: rotate(360deg);
        -o-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}